%define		PYVER	2.6

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		mftrace
Summary:	Scalable Fonts for MetaFont
Version:	1.2.15
Release:	2
BuildArch:	i686
License:	GNU/GPL 
URL:		http://www.xs4all.nl/~hanwen/mftrace/
Group:		Text Tools
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	autotrace
Requires:	t1utils

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python26-devel autotrace-devel potrace

%description
Mftrace is a small Python program that lets you trace a TeX
bitmap font into a PFA or PFB font (A PostScript Type1 Scalable Font).
It is licensed under the GNU GPL.

Type1 fonts offer many advantages over bitmaps, as they allow PostScript
files to render correctly on printers with many resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable fonts.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure \
--datadir=/usr/lib/python%{PYVER}/site-packages/ \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# install python modules to where they belong
mkdir -p $RPM_BUILD_ROOT/usr/lib/python%{PYVER}/site-packages/
mv $RPM_BUILD_ROOT%_datadir/afm.* $RPM_BUILD_ROOT/usr/lib/python%{PYVER}/site-packages/
mv $RPM_BUILD_ROOT%_datadir/tfm.* $RPM_BUILD_ROOT/usr/lib/python%{PYVER}/site-packages/

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README.txt
%_bindir
%_datadir
%_libdir/python%{PYVER}/site-packages

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 1.2.15-2
- python 2.6
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.15-1
- Version update, build with explicit /usr/bin/python2.5
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-2
- rebuilt against ImageMagick 6.3.9.3
* Tue Jan 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-1
- Version update
* Tue Oct 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Initial Release
